<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_color"
    android:fitsSystemWindows="true"
    android:textAlignment="center"
    tools:context=".activities.RoomsActivity">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:background="@color/bg_color"
        android:fitsSystemWindows="true">

        <com.google.android.material.appbar.CollapsingToolbarLayout
            android:id="@+id/collapsingToolbar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/bg_color"
            android:theme="@style/TitleTextAppearance"
            app:contentScrim="@color/bg_color"
            app:expandedTitleTextAppearance="@style/TitleTextAppearance"
            app:layout_scrollFlags="scroll|snap|exitUntilCollapsed"
            app:title="Contacts">


            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:alpha="0.5"
                android:scaleType="centerCrop"
                android:src="@drawable/lines2"
                app:layout_collapseMode="parallax" />

            <androidx.appcompat.widget.Toolbar
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:layout_collapseMode="pin"
                app:titleTextAppearance="@style/TitleTextAppearance" />


        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/top_rounded_corners"
        android:fillViewport="true"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/contactsRecycler"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="10dp"
            android:overScrollMode="never"
            android:scrollbars="vertical"
            tools:listitem="@layout/item_contacts" />

    </androidx.core.widget.NestedScrollView>

    <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
        android:id="@+id/refreshBtn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="20dp"
        android:backgroundTint="@color/white"
        android:text="Refresh"
        android:textSize="12sp"
        android:textStyle="bold"
        app:icon="@drawable/ic_refresh"
        app:iconTint="@color/bg_color"
        app:layout_anchor="@id/appBarLayout"
        app:layout_anchorGravity="bottom|end"
        app:rippleColor="@android:color/transparent" />


</androidx.coordinatorlayout.widget.CoordinatorLayout>